<?php
require '../sys/inc/start.php';
require '../sys/inc/compress.php';
require '../sys/inc/sess.php';
require '../sys/inc/home.php';
require '../sys/inc/settings.php';
require '../sys/inc/db_connect.php';
require '../sys/inc/ipua.php';
require '../sys/inc/fnc.php';
require '../sys/inc/user.php';
$set['title']='Дневники';
require '../sys/inc/thead.php';
title();
err();
################################################################################
echo "<div class='fyt'><img src='images/New.gif' alt='enk'/> <a href='add.php'>Создать Дневник</a></div>";
################################################################################
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_list`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
################################################################################
if($k_post==0)
{
?>
<div class='noy'>Блоггеров пока нет</div>
<?
}
$res=mysql_query("SELECT * FROM `blog_list` ORDER BY id DESC LIMIT $start, $set[p_str]");
while ($blog=mysql_fetch_array($res)){
################################################################################
$ank=get_user($blog['id_user']);
if($num==1){
echo "<div class='enk_div'>\n";
$num=0;
}else{
echo "<div class='enk2_div'>\n";
$num=1;}
echo "".avatar2($ank['id'])."<br />";
echo "".on($ank['id'])."\n";
echo "".pol($ank['id'])."";
echo "<a href='/info.php?id=$ank[id]'><span style='color:$ank[ncolor]'>$ank[nick]</span></a> \n";
echo " ".medal($ank['id'])."<br />";
if ($blog['read']==0)echo "<img src='images/gall2.gif' alt=''/>\n";
if ($blog['read']==2)echo "<img src='images/gall0.gif' alt=''/>\n";
echo "<a href='list.php?id=".$blog['id']."'>".output_text($blog['name'])."</a>\n";
echo"( <a href='komm.php?id=$blog[id]'>Комментарии <b>".mysql_result(mysql_query("SELECT COUNT(*) FROM `blog_komm` WHERE `id_blog` = '$blog[id]'"),0)."</b></a> )<br/>";
echo "  </div>\n";
}
################################################################################
if ($k_page>1)str('?',$k_page,$page);
require '../sys/inc/tfoot.php';
?>